#!/bin/sh

ACTION=${1:-restore}
FILE=${2:-VILLAS.mongoarchive}

DOCKEROPTS="--interactive --tty --rm --network ${NETWORK} --volume $(pwd):/tmp"

case ${ACTION} in
  restore)
    docker-compose exec database mongo VILLAS --eval "db.dropDatabase()"
    docker-compose exec -T database mongorestore --archive < ${FILE}
    ;;

  dump)
    # docker exec mangles stdout and stderr output. So we must use --quiet
    docker-compose exec -T database mongodump --archive --quiet > ${FILE}
    ;;

  *)
    echo "Usage: $0 (restore|dump) [FILE]"
    ;;
esac

